/**
 * CardNavigation 部件模型
 *
 * @export
 * @class CardNavigationModel
 */
export default class CardNavigationModel {

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof CardNavigationDataviewexpbar_dataviewMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'memo',
				prop: 'memo',
				dataType: 'LONGTEXT_1000',
			},
			{
				name: 'ibizorderid',
				prop: 'ibizorderid',
				dataType: 'GUID',
			},
			{
				name: 'detailnum',
				prop: 'detailnum',
				dataType: 'INT',
			},
			{
				name: 'ibizordername',
				prop: 'ibizordername',
				dataType: 'TEXT',
			},
			{
				name: 'ibizcustomerid',
				prop: 'ibizcustomerid',
				dataType: 'PICKUP',
			},
			{
				name: 'amount',
				prop: 'amount',
				dataType: 'FLOAT',
			},
			{
				name: 'ibizcustomername',
				prop: 'ibizcustomername',
				dataType: 'PICKUPTEXT',
			},
			{
				name: 'srfkey',
				prop: 'ibizorderid',
				dataType: 'GUID',
			},
			{
				name: 'srfmajortext',
				prop: 'ibizordername',
				dataType: 'TEXT',
			},
			{
				name: 'wfstep',
				prop: 'wfstep',
				dataType: 'SSCODELIST',
			},
			{
				name: 'orderstate',
				prop: 'orderstate',
				dataType: 'SSCODELIST',
			},
			{
				name: 'srfmstag',
			},

			{
				name: 'ibizorder',
				prop: 'ibizorderid',
				dataType: 'FONTKEY',
			},


      {
        name:'size',
        prop:'size'
      },
      {
        name:'query',
        prop:'query'
      },
      {
        name:'sort',
        prop:'sort'
      },
      {
        name:'page',
        prop:'page'
      },
      {
        name:'srfparentdata',
        prop:'srfparentdata'
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
		]
	}

}